{% include 'mainnav', menu_links: linklists[section.settings.menu_slug].links, menu_class: 'main-nav nav mega-menu clearfix' %}
{% schema %}
  {
    "name": "Mega Menu",
    "settings": [
      {
        "type": "header",
        "content": "NOTE"
      },
      {
        "type": "paragraph",
        "content": "The options and settings below enable us to edit the mega menu's sub-menu image buckets."
      },
      {
        "type": "paragraph",
        "content": "In order to edit the main menu and submenu, please visit the [Navigation section](/admin/menus)"
      },
      {
        "type": "link_list",
        "id": "menu_slug",
        "label": "Main Menu"
      }
    ],
    "blocks": [
      {
        "type": "bucket_set",
        "name": "Sub-Menu Bucket Set",
        "settings": [
          {
            "type": "link_list",
            "id": "sub_menu_slug",
            "label": "Sub Menu"
          },
          {
            "type": "header",
            "content": "Bucket 1"
          },
          {
            "type": "image_picker",
            "id": "bucket_1_image",
            "label": "Image"
          },
          {
            "type": "text",
            "id": "bucket_1_title",
            "label": "Title"
          },
          {
            "type": "url",
            "id": "bucket_1_url",
            "label": "Link"
          },
          {
            "type": "header",
            "content": "Bucket 2"
          },
          {
            "type": "image_picker",
            "id": "bucket_2_image",
            "label": "Image"
          },
          {
            "type": "text",
            "id": "bucket_2_title",
            "label": "Title"
          },
          {
            "type": "url",
            "id": "bucket_2_url",
            "label": "Link"
          },
          {
            "type": "header",
            "content": "Bucket 3"
          },
          {
            "type": "image_picker",
            "id": "bucket_3_image",
            "label": "Image"
          },
          {
            "type": "text",
            "id": "bucket_3_title",
            "label": "Title"
          },
          {
            "type": "url",
            "id": "bucket_3_url",
            "label": "Link"
          },
          {
            "type": "header",
            "content": "Bucket 4"
          },
          {
            "type": "image_picker",
            "id": "bucket_4_image",
            "label": "Image"
          },
          {
            "type": "text",
            "id": "bucket_4_title",
            "label": "Title"
          },
          {
            "type": "url",
            "id": "bucket_4_url",
            "label": "Link"
          }
        ]
      }
    ]
  }
{% endschema %}

{% stylesheet %}
{% endstylesheet %}

{% javascript %}
{% endjavascript %}
